org.richfaces.context

## Class SkinningExternalContextFactory

- java.lang.Object
- - javax.faces.context.ExternalContextFactory
  - - org.richfaces.context.SkinningExternalContextFactory

- All Implemented Interfaces:
    javax.faces.FacesWrapper<javax.faces.context.ExternalContextFactory>

      public class SkinningExternalContextFactory
      extends javax.faces.context.ExternalContextFactory
      implements javax.faces.FacesWrapper<javax.faces.context.ExternalContextFactory>

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkinningExternalContextFactory(javax.faces.context.ExternalContextFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.context.ExternalContext` | `getExternalContext(Object context, Object request, Object response)`
    `javax.faces.context.ExternalContextFactory` | `getWrapped()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkinningExternalContextFactory

          public SkinningExternalContextFactory(javax.faces.context.ExternalContextFactory factory)

  - ### Method Detail

    - #### getWrapped

          public javax.faces.context.ExternalContextFactory getWrapped()

      Specified by:
        `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.context.ExternalContextFactory>`
      Overrides:
        `getWrapped` in class `javax.faces.context.ExternalContextFactory`

    - #### getExternalContext

          public javax.faces.context.ExternalContext getExternalContext(Object context,
                                                                        Object request,
                                                                        Object response)
                                                                 throws javax.faces.FacesException

      Specified by:
        `getExternalContext` in class `javax.faces.context.ExternalContextFactory`
      Throws:
        `javax.faces.FacesException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.